maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "nicolas de loof" <nicolas.del...@gmail.com>
Subject eclipse:eclipse and war dependencies
Date Fri, 05 Oct 2007 10:08:30 GMT
Hello,

I just checkout an existing multimodule JEE project. I run mvn
eclipse:eclipse to configure my workspace, and the plugin handles
dependencies ordering as expected to build my eclipse conf WITHOUT having to
first install the artifacts.
(eclipse plugin reminds the project artifacts and doesn't require the
project to be built)

Then I add a new ear module, and run eclipse:eclipse. I then get a
dependency resolution error about my war artifact not beeing available for
the ear project.

Seems there is something in the ear plugin that requires dependencies to be
resolved, that should not be required to run the eclipse:eclipse goal.

Is this a known limitation ?

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message